﻿using System;
using System.Collections.Generic;

namespace TestProject.Models
{
    /// <summary>
    /// 자료 모델
    /// </summary>
    public class DataModel
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region ID - ID

        /// <summary>
        /// ID
        /// </summary>
        public string ID { get; set; }

        #endregion
        #region 제목 - Subject

        /// <summary>
        /// 제목
        /// </summary>
        public string Subject { get; set; }

        #endregion
        #region 작성일 - WriteDate

        /// <summary>
        /// 작성일
        /// </summary>
        public DateTime WriteDate { get; set; }

        #endregion
        #region 분류 - Category

        /// <summary>
        /// 분류
        /// </summary>
        public string Category { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 자료 리스트 구하기 - GetDataList(count)

        /// <summary>
        /// 자료 리스트 구하기
        /// </summary>
        /// <param name="count">카운트</param>
        /// <returns>자료 리스트</returns>
        public static List<DataModel> GetDataList(int count)
        {
            List<DataModel> list = new List<DataModel>();

            for(int i = 0; i < count; i++)
            {
                DataModel data = new DataModel();

                data.ID        = Guid.NewGuid().ToString().ToUpper();
                data.Subject   = $"제목 {i + 1:d3}";
                data.WriteDate = DateTime.Now.Date.AddDays(i);
                data.Category  = $"분류 {i + 1:d3}";

                list.Add(data);
            }

            return list;
        }

        #endregion
    }
}